The Linux Mint Distribution

gnome-shell randomly crashes

Reported by Wei En on 2011-11-13
590
This bug affects 114 people
Affects Status Importance Assigned to Milestone
Linux Mint
Undecided
Unassigned
gnome-shell
New
Undecided
Unassigned
Fedora
Confirmed
Undecided
Unassigned
gnome-shell (Ubuntu)
Undecided
Unassigned

Bug Description

****************************************************************************
THIS BUG REPORT IS ABOUT GNOME-SHELL ONLY, IF YOU USE CINNAMON GO TO: https://bugs.launchpad.net/linuxmint/+bug/1077022

Since this became a "mega-bug" we should split it up. Check your logs for these errors (anything similar) and tell us what type of error this is.

GNOME SHELL RESPAWNING TOO QUICKLY (libclutter-glx and libgobject)
Nov 15 10:21:11 lm12-rc-DX4822 gnome-session[2296]: WARNING: Application 'gnome-shell.desktop' killed by signal
Nov 15 10:21:17 lm12-rc-DX4822 gnome-session[2296]: WARNING: App 'gnome-shell.desktop' respawning too quickly
Nov 15 10:21:17 lm12-rc-DX4822 gnome-session[2296]: CRITICAL: We failed, but the fail whale is dead. Sorry....

IO ERROR
Dec 11 17:44:40 ibm-X61 gnome-session[11214]: Gdk-WARNING: gnome-session: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.#012

NOT SUPPORTED? (Totem)
Mar 6 02:28:02 zyzz-desktop kernel: [22774.971695] [fglrx:firegl_irq_enable] *ERROR* interrupt source ff000066 is not supported on this hardware (return code = 1)

HDMI
[35822.979643] HDMI hot plug event: Pin=3 Presence_Detect=0 ELD_Valid=1
[35822.979659] HDMI status: Pin=3 Presence_Detect=1 ELD_Valid=1
[36212.175881] gnome-shell[2329] general protection ip:7f04635150a8 sp:7fff2f8c1200 error:0 in libglib-2.0.so.0.3000.0[7f04634b5000+f4000]
[36235.394150] Assertion failed in ../../../../../../../../drivers/2d/lnx/fgl/drm/kernel/hal_evergreen.c at line: 64

AUTHENCIATION
Dec 3 19:37:06 joel-mint12 polkitd(authority=local): Unregistered Authentication Agent for unix-session:/org/freedesktop/ConsoleKit/Session1 (system bus name :1.57, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8) (disconnected from bus)

If we manage to get it done this way, we may be able to fix these individual problems.

****************************************************************************
If your problem no longer occurs, please report your graphics card/integrated graphics. Thanks.

We still have no idea WHAT this bug is about, some users have it fixed, some others. We really need more information, but we have no idea how to obtain it. This is some sort of "mega-bug"; we just have to wait for developers to slowly fix a small part of it and finally fix the whole thing.

One thing is sure though - this is due to Gnome Shell.
****************************************************************************

****************************************************************************
POSSIBLE SOLUTIONS - USE AT YOUR OWN RISK!
****************************************************************************

If you try one of these, please REPORT if this solves the problem for you. Remember to type "inxi -Gx" and paste the output here.

****************************************************************************
TEMPORARY SOLUTIONS #1 by wei2912
****************************************************************************

This "fix" is meant to prepare your system. Try this "fix" before trying out the others to make sure if the problem still persists.

First, upgrade your system. If it works, report your graphics card.

sudo apt-get update
sudo apt-get dist-upgrade

Simple commands to upgrade all packages. Maybe a fix for a driver of your graphics card/integrated graphics has been released, and thus you should try this first to determine if it is a driver-related problem.

If it still doesn't work, get drivers for your graphic cards (If you don
't have additional drivers get those drivers. If you do have additional drivers uninstall them instead - please state which one you did in the report).

Nvidia Optimus:
http://bumblebee-project.org/

Nvidia drivers:
http://www.nvidia.com/Download/index.aspx?lang=en-us

AMD drivers:
http://support.amd.com/us/gpudownload/Pages/index.aspx

Works for:
Mao Mao (Intel HD Graphics 3000)

****************************************************************************
TEMPORARY SOLUTIONS #2 by Nanovarium
* For Gnome-shell only.
****************************************************************************

Updating to Gnome 3.4 fixes the issue. However, IT IS NOT RECOMMENDED TO TRY THIS SOLUTION ON A PRODUCTIVE SYSTEM. IF YOU TRY THIS, MAKE BACKUPS. MAKE SURE YOU UNDERSTAND THIS.

The following commands will install gnome and gnome-shell 3.4 on Ubuntu and Mint:

sudo add-apt-repository ppa:ricotz/testing
sudo add-apt-repository ppa:gnome3-team/gnome3
sudo apt-get update && sudo apt-get dist-upgrade
sudo apt-get install gnome-shell

No random crashes have occurred since I did this.

Works for:
Alexander Ast (Intel HD Graphics (before Intel Sandy Bridge))

****************************************************************************

TEMPORARY SOLUTION #3 by Goulou
****************************************************************************

See this post:

https://bugs.launchpad.net/linuxmint/+bug/889706/comments/267

To detach the modal dialogs from the main window you will just need to execute the following command (in a single line) inside a terminal window:

a) GNOME
gconftool-2 --set /desktop/gnome/shell/windows/attach_modal_dialogs false --type bool

and restart Gnome-Shell (F2, type r, hit Return)

More details here :
http://gnomeshell.wordpress.com/2011/09/10/the-modal-windows-behavior/

b) Cinnamon:
gconftool-2 --set /desktop/cinnamon/windows/attach_modal_dialogs false --type bool

and restart Cinnamon-Shell (Alt+F2, type r, hit Return)

Works for:
Goulou
Hugo Zyzz

****************************************************************************

TEMPORARY SOLUTION #4 by Nanovarium
****************************************************************************
Look at http://forums.fedoraforum.org/showpost.php?p=1607191&postcount=4757 He fixed this in Fedora.
****************************************************************************

FIXES TO RESTORE GNOME-SHELL (does not fix the crashing):
****************************************************************************
Restarting xserver (Ctrl+Alt+Backspace)works.
Restarting the display for gnome-shell (DISPLAY=":0.0" gnome-shell)works.
Reloading gnome-shell with Alt-F2 - then type r.
A reboot works.
Using ctrl-alt-F1 and killing the Xorg process.

=============================================================================

Error messages from geordish:

Nov 16 10:27:06 mercury kernel: [ 939.313318] gnome-shell[1814]: segfault at 1d8 ip 00007fae12793644 sp 00007fff40a78238 error 4 in libclutter-glx-1.0.so.0.800.0[7fae12757000+ff000]
Nov 16 10:27:06 mercury gnome-session[1726]: WARNING: Application 'gnome-shell.desktop' killed by signal
Nov 16 10:29:36 mercury kernel: [ 1089.887909] gnome-shell[6475]: segfault at 2f00006854 ip 00007ffe797946a4 sp 00007fff925547b8 error 4 in libclutter-glx-1.0.so.0.800.0[7ffe7975d000+ff000]
Nov 16 10:29:37 mercury gnome-session[1726]: WARNING: Application 'gnome-shell.desktop' killed by signal
Nov 16 10:38:58 mercury dbus[922]: [system] Reloaded configuration
Nov 16 10:39:33 dbus[922]: last message repeated 2 times

Error messages from kmb42vt:

1.
Nov 15 12:14:23 lm12-rc-DX4822 gnome-session[4640]: WARNING: Application 'gnome-shell.desktop' killed by signal
Nov 15 12:14:54 lm12-rc-DX4822 gnome-session[4640]: WARNING: App 'gnome-shell.desktop' respawning too quickly
Nov 15 12:14:54 lm12-rc-DX4822 gnome-session[4640]: CRITICAL: We failed, but the fail whale is dead. Sorry....

2.
Nov 15 10:17:01 lm12-rc-DX4822 CRON[3643]: (root) CMD ( cd / && run-parts --report /etc/cron.hourly)
Nov 15 10:20:08 lm12-rc-DX4822 gnome-session[2296]: WARNING: Application 'gnome-shell.desktop' killed by signal
Nov 15 10:21:11 lm12-rc-DX4822 kernel: [ 2381.176062] gnome-shell[3888]: segfault at 7f5bddd5e230 ip 00007f5414200b30 sp 00007ffff54ffe00 error 4 in libgobject-2.0.so.0.3000.0[7f54141cd000+4e000]
Nov 15 10:21:11 lm12-rc-DX4822 gnome-session[2296]: WARNING: Application 'gnome-shell.desktop' killed by signal
Nov 15 10:21:17 lm12-rc-DX4822 gnome-session[2296]: WARNING: App 'gnome-shell.desktop' respawning too quickly
Nov 15 10:21:17 lm12-rc-DX4822 gnome-session[2296]: CRITICAL: We failed, but the fail whale is dead. Sorry....

Error messages from Fibonacci:

gnome-shell-calendar-server[17307]: Got HUP on stdin - exiting

Error messages from Anton Kuleshov:

Nov 28 15:18:44 kernel: [ 87.551361] gnome-shell[2386]: segfault at 40 ip 00007f61d2c7fae7 sp 00007fff52aa40a0 error 4 in libgobject-2.0.so.0.3000.0[7f61d2c4c000+4e000]
Nov 28 15:18:44 gnome-session[2291]: WARNING: Application 'gnome-shell.desktop' killed by signal
Nov 28 15:19:35 kernel: [ 138.381242] gnome-shell[2727]: segfault at 1f0 ip 00007f258a7e06a4 sp 00007fffff52d108 error 4 in libclutter-glx-1.0.so.0.800.0[7f258a7a9000+ff000]
Nov 28 15:19:35 gnome-session[2291]: WARNING: Application 'gnome-shell.desktop' killed by signal
Nov 28 15:19:35 gnome-session[2291]: WARNING: App 'gnome-shell.desktop' respawning too quickly
Nov 28 15:19:35 gnome-session[2291]: CRITICAL: We failed, but the fail whale is dead. Sorry....

Error messages from Dominique Callaert:

gnome-shell[2727]: segfault at 1f0 ip 00007f258a7e06a4 sp 00007fffff52d108 error 4 in libclutter-glx-1.0.so.0.800.0[7f258a7a9000+ff000]

Error messages from Eric M.:

kernel: [256974.097830] gnome-shell[5304] general protection ip:7f137b45a6a4 sp:7fffb3203968 error:0 in libclutter-glx-1.0.so.0.800.0[7f137b423000+ff000]

Error messages from Grandon:

[ 238.900544] gnome-shell[1816]: segfault at 178111008 ip 00007fadc20dc0a8 sp 00007fffe53df8e0 error 4 in libglib-2.0.so.0.3000.0[7fadc207c000+f4000]
[ 514.279755] gnome-shell[2116]: segfault at 7f007261764b ip 00007f862cc29644 sp 00007fff16a84638 error 4 in libclutter-glx-1.0.so.0.800.0[7f862cbed000+ff000]
[ 1444.415008] gnome-shell[3006]: segfault at 5a494e0e4 ip 00007f8f17d960a8 sp 00007fff51966d10 error 4 in libglib-2.0.so.0.3000.0[7f8f17d36000+f4000]

Error messages from dmdsoftware:

Dec 11 17:44:40 ibm-X61 gnome-session[11214]: Gdk-WARNING: gnome-session: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.#012
Dec 11 17:44:40 ibm-X61 acpid: client 11101[0:0] has disconnected
Dec 11 17:44:40 ibm-X61 acpid: client connected from 21036[0:0]
Dec 11 17:44:40 ibm-X61 acpid: 1 client rule loaded

Error messages from Hugo Zyzz:

1.
[18092.041703] cinnamon[2025]: segfault at 796f32008 ip 00007f3ce510eeb8 sp 00007fff126f87f0 error 4 in libglib-2.0.so.0.3000.2[7f3ce50af000+f4000]
WARNING: Application 'cinnamon.desktop' killed by signal

2.
[32011.810943] totem[7739]: segfault at ffffffffe0001198 ip 00007f62de954c08 sp 00007fff469da770 error 4 in libX11.so.6.3.0[7f62de91f000+133000]
[32018.857881] cinnamon[4801]: segfault at 4b2596008 ip 00007f8df4819eb8 sp 00007fff11789ba0 error 4 in libglib-2.0.so.0.3000.2[7f8df47ba000+f4000]
WARNING: Application 'cinnamon.desktop' killed by signal

3.
Mar 6 02:28:02 zyzz-desktop kernel: [22774.971695] [fglrx:firegl_irq_enable] *ERROR* interrupt source ff000066 is not supported on this hardware (return code = 1)
Mar 6 02:28:28 zyzz-desktop kernel: [22800.284915] [fglrx:firegl_irq_enable] *ERROR* interrupt source ff000066 is not supported on this hardware (return code = 1)
Mar 6 02:28:35 zyzz-desktop kernel: [22807.972098] [fglrx:firegl_irq_enable] *ERROR* interrupt source ff000066 is not supported on this hardware (return code = 1)
Mar 6 02:30:18 zyzz-desktop kernel: [22910.821396] [fglrx:firegl_irq_enable] *ERROR* interrupt source ff000066 is not supported on this hardware (return code = 1)
Mar 6 02:31:32 zyzz-desktop kernel: [22984.845949] [fglrx:firegl_irq_enable] *ERROR* interrupt source ff000066 is not supported on this hardware (return code = 1)
Mar 6 02:31:33 zyzz-desktop kernel: [22985.495822] [fglrx:firegl_irq_enable] *ERROR* interrupt source ff000066 is not supported on this hardware (return code = 1)
Mar 6 02:31:33 zyzz-desktop kernel: [22986.034245] [fglrx:firegl_irq_enable] *ERROR* interrupt source ff000066 is not supported on this hardware (return code = 1)
Mar 6 02:31:41 zyzz-desktop kernel: [22993.894611] [fglrx:firegl_irq_enable] *ERROR* interrupt source ff000066 is not supported on this hardware (return code = 1)
Mar 6 02:36:02 zyzz-desktop kernel: [23255.030645] [fglrx:firegl_irq_enable] *ERROR* interrupt source ff000066 is not supported on this hardware (return code = 1)
Mar 6 02:36:05 zyzz-desktop kernel: [23257.501821] cinnamon[5865]: segfault at 2eccd8008 ip 00007f5964ef0eb8 sp 00007fff1b921e20 error 4 in libglib-2.0.so.0.3000.2[7f5964e91000+f4000]
Mar 6 02:36:05 zyzz-desktop gnome-session[1916]: WARNING: Application 'cinnamon.desktop' killed by signal
Mar 6 02:36:50 zyzz-desktop kernel: [23302.656808] totem[6513]: segfault at ffffffffa770c198 ip 00007f05a4835c08 sp 00007fff912b5090 error 4 in libX11.so.6.3.0[7f05a4800000+133000]
Mar 6 02:40:13 zyzz-desktop kernel: [23505.593818] [fglrx:firegl_irq_enable] *ERROR* interrupt source ff000066 is not supported on this hardware (return code = 1)
Mar 6 02:40:40 zyzz-desktop kernel: [23532.951893] cinnamon[6470]: segfault at 22e059008 ip 00007fe48123eeb8 sp 00007fff1a158150 error 4 in libglib-2.0.so.0.3000.2[7fe4811df000+f4000]
Mar 6 02:40:40 zyzz-desktop gnome-session[1916]: WARNING: Application 'cinnamon.desktop' killed by signal
Mar 6 02:43:14 zyzz-desktop kernel: [23687.036395] cinnamon[6644]: segfault at 225e25008 ip 00007f7371c07eb8 sp 00007fffd55f4450 error 4 in libglib-2.0.so.0.3000.2[7f7371ba8000+f4000]
Mar 6 02:43:15 zyzz-desktop gnome-session[1916]: WARNING: Application 'cinnamon.desktop' killed by signal
Mar 6 02:44:04 zyzz-desktop kernel: [23736.865348] [fglrx:firegl_irq_enable] *ERROR* interrupt source ff000066 is not supported on this hardware (return code = 1)
Mar 6 02:44:13 zyzz-desktop kernel: [23745.555127] [fglrx:firegl_irq_enable] *ERROR* interrupt source ff000066 is not supported on this hardware (return code = 1)
Mar 6 02:44:56 zyzz-desktop kernel: [23788.278206] cinnamon[6675]: segfault at 3531a4008 ip 00007f70ce0c7eb8 sp 00007ffff99b8f10 error 4 in libglib-2.0.so.0.3000.2[7f70ce068000+f4000]
Mar 6 02:44:56 zyzz-desktop gnome-session[1916]: WARNING: Application 'cinnamon.desktop' killed by signal

VB Wright:

[35822.612688] HDMI hot plug event: Pin=3 Presence_Detect=1 ELD_Valid=1
[35822.612714] HDMI status: Pin=3 Presence_Detect=1 ELD_Valid=1
[35822.974153] HDMI hot plug event: Pin=3 Presence_Detect=0 ELD_Valid=0
[35822.974179] HDMI status: Pin=3 Presence_Detect=0 ELD_Valid=0
[35822.978167] HDMI hot plug event: Pin=3 Presence_Detect=1 ELD_Valid=0
[35822.978190] HDMI status: Pin=3 Presence_Detect=1 ELD_Valid=1
[35822.979643] HDMI hot plug event: Pin=3 Presence_Detect=0 ELD_Valid=1
[35822.979659] HDMI status: Pin=3 Presence_Detect=1 ELD_Valid=1
[36212.175881] gnome-shell[2329] general protection ip:7f04635150a8 sp:7fff2f8c1200 error:0 in libglib-2.0.so.0.3000.0[7f04634b5000+f4000]
[36235.394150] Assertion failed in ../../../../../../../../drivers/2d/lnx/fgl/drm/kernel/hal_evergreen.c at line: 64
[36235.594049] HDMI hot plug event: Pin=3 Presence_Detect=1 ELD_Valid=1
[36235.594074] HDMI status: Pin=3 Presence_Detect=1 ELD_Valid=1
[36235.972189] HDMI hot plug event: Pin=3 Presence_Detect=0 ELD_Valid=0
[36235.972214] HDMI status: Pin=3 Presence_Detect=0 ELD_Valid=0
[36235.976096] HDMI hot plug event: Pin=3 Presence_Detect=1 ELD_Valid=0
[36235.976123] HDMI status: Pin=3 Presence_Detect=1 ELD_Valid=1
[36235.977584] HDMI hot plug event: Pin=3 Presence_Detect=0 ELD_Valid=1
[36235.977601] HDMI status: Pin=3 Presence_Detect=1 ELD_Valid=1
[36756.078206] gnome-shell[1941] general protection ip:7f72e1ada0a8 sp:7fff1bc67490 error:0 in libglib-2.0.so.0.3000.0[7f72e1a7a000+f4000]

halfsoul:
auth.log:
Dec 3 19:37:06 joel-mint12 polkitd(authority=local): Unregistered Authentication Agent for unix-session:/org/freedesktop/ConsoleKit/Session1 (system bus name :1.57, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8) (disconnected from bus)

kern.log:
Dec 3 19:37:06 joel-mint12 kernel: [41124.353653] gnome-shell[5770]: segfault at 1d9 ip 00007f39a57d2644 sp 00007fffb4005618 error 4 in libclutter-glx-1.0.so.0.800.0[7f39a5796000+ff000]

syslog:
Dec 3 19:31:39 joel-mint12 dbus[1092]: [system] Activating service name='org.debian.apt' (using servicehelper)
Dec 3 19:31:40 joel-mint12 AptDaemon: INFO: Initializing daemon
Dec 3 19:31:40 joel-mint12 dbus[1092]: [system] Successfully activated service 'org.debian.apt'
Dec 3 19:36:40 joel-mint12 AptDaemon: INFO: Quitting due to inactivity
Dec 3 19:36:40 joel-mint12 AptDaemon: INFO: Quitting was requested
Dec 3 19:37:06 joel-mint12 kernel: [41124.353653] gnome-shell[5770]: segfault at 1d9 ip 00007f39a57d2644 sp 00007fffb4005618 error 4 in libclutter-glx-1.0.so.0.800.0[7f39a5796000+ff000]
Dec 3 19:37:06 joel-mint12 gnome-session[1742]: WARNING: Application 'gnome-shell.desktop' killed by signal

derwiwie:

[ 553.882543] gnome-shell[1571]: segfault at 30a489008 ip 00007fb0d79c40a8 sp 00007fffb1b1e410 error 4 in libglib-2.0.so.0.3000.0[7fb0d7964000+f4000]
[ 881.274864] gnome-shell[2379]: segfault at 28c311008 ip 00007f688ed830a8 sp 00007fff89dd1720 error 4 in libglib-2.0.so.0.3000.0[7f688ed23000+f4000]
[ 1005.026258] gnome-shell[2544]: segfault at 58b1b3107 ip 00007f61d3bad0a8 sp 00007fff5cbe0e60 error 4 in libglib-2.0.so.0.3000.0[7f61d3b4d000+f4000]

Stacktrace from Karol Bryd:

https://picasaweb.google.com/lh/photo/N1_ciHyK2C1drJOHDVCCkt9gS1BcBz7VRmRr7NF9wG8?feat=directlink (link)

=============================================================================

Users' system specs (graphics card):

== Not yet fixed ==
kmb42vt: GNvidia GT-430
Anton Kuleshov: Nvidia GeForce GTX 570, Nvidia GeForce GTX 285
Dominique Callaert: Nvidia GeForce GTX460
Rutger Putter: ATI Radeon HD 3650
Stephen Reed: ATI Mobility Radeon 7500 Graphics
Christian Dion Viau: XFX 4850 512MB DDR3, 64 bit driver
Michel Castagné: ATI Radeon HD 4350, VESA: RV710 driver
Fibonacci: nVidia GeForce GTS 250 w/ official proprietary driver.
Phille88: ATI Mobility Radeon 4650
dmdsoftware: Intel i915
Grandon: RV730 PRO [Radeon HD 4650]
Hugo Zyzz: AMD HD4350
David Glanzman: ATI Technologies Inc RS880 [Radeon HD 4250]
Nanovarium: ATI Mobility Radeon HD 5650
Pathin: ATI Radeon HD 5870
Alexander Ast: Intel HD Graphics (before Intel Sandy Bridge)
Mao Mao: Intel HD Graphics 3000
Nuwan Chaturanga: Intel HD Graphics 3000

== FIXED ==
wei2912: Intel HD Graphics 2000
Nanovarium: Mobility Radeon HD 5650 on Fedora - See Post 337

What do you mean exactly ?
Is it that gnome-shell crashes and reloads ?

Changed in linuxmint:
status: New → Incomplete
Wei En (wei2912) wrote :

@Gwendal LE BIHAN

Gnome shell seems to be reloading, but windows are still intact (if i open a window, when this bug occurs, after the panel return, that window remains).

Wei En (wei2912) on 2011-11-14
description: updated
Changed in linuxmint:
milestone: none → lisa-stable
geordish (me-geordish) wrote :

This also affects me, it appears that gnome-shell is segfaulting. I see the following in syslog:

Nov 16 10:27:06 mercury kernel: [ 939.313318] gnome-shell[1814]: segfault at 1d8 ip 00007fae12793644 sp 00007fff40a78238 error 4 in libclutter-glx-1.0.so.0.800.0[7fae12757000+ff000]
Nov 16 10:27:06 mercury gnome-session[1726]: WARNING: Application 'gnome-shell.desktop' killed by signal
Nov 16 10:29:36 mercury kernel: [ 1089.887909] gnome-shell[6475]: segfault at 2f00006854 ip 00007ffe797946a4 sp 00007fff925547b8 error 4 in libclutter-glx-1.0.so.0.800.0[7ffe7975d000+ff000]
Nov 16 10:29:37 mercury gnome-session[1726]: WARNING: Application 'gnome-shell.desktop' killed by signal
Nov 16 10:38:58 mercury dbus[922]: [system] Reloaded configuration
Nov 16 10:39:33 dbus[922]: last message repeated 2 times

Wei En (wei2912) wrote :

@geordish Sorry, didn't think to check it.

description: updated
description: updated
kmb42vt (tbeposts) wrote :

I can verify this. Gnome shell often re-spawns (crashes ans restarts) when clicking the (Mint) menu and sometimes when in "Activities" and especially when updating or adding a menu item via Alacarte (Main Menu). More than that, I've had several Gnome-shell crashes while browsing (Firefox) or reading email (Thunderbird). I only notice it when I need to switch to another running program and the bars/panels are gone. In these cases, the only thing I can do at that point is force a reboot by dropping to a prompt (ctrl-alt-F1) and rebooting from there.

Gnome-shell is defintely seg faulting according to this callout in my syslog 1:

Nov 15 12:14:23 lm12-rc-DX4822 gnome-session[4640]: WARNING: Application 'gnome-shell.desktop' killed by signal
Nov 15 12:14:54 lm12-rc-DX4822 gnome-session[4640]: WARNING: App 'gnome-shell.desktop' respawning too quickly
Nov 15 12:14:54 lm12-rc-DX4822 gnome-session[4640]: CRITICAL: We failed, but the fail whale is dead. Sorry....

and...

Nov 15 10:17:01 lm12-rc-DX4822 CRON[3643]: (root) CMD ( cd / && run-parts --report /etc/cron.hourly)
Nov 15 10:20:08 lm12-rc-DX4822 gnome-session[2296]: WARNING: Application 'gnome-shell.desktop' killed by signal
Nov 15 10:21:11 lm12-rc-DX4822 kernel: [ 2381.176062] gnome-shell[3888]: segfault at 7f5bddd5e230 ip 00007f5414200b30 sp 00007ffff54ffe00 error 4 in libgobject-2.0.so.0.3000.0[7f54141cd000+4e000]
Nov 15 10:21:11 lm12-rc-DX4822 gnome-session[2296]: WARNING: Application 'gnome-shell.desktop' killed by signal
Nov 15 10:21:17 lm12-rc-DX4822 gnome-session[2296]: WARNING: App 'gnome-shell.desktop' respawning too quickly
Nov 15 10:21:17 lm12-rc-DX4822 gnome-session[2296]: CRITICAL: We failed, but the fail whale is dead. Sorry....

kmb42vt (tbeposts) wrote :

Adding my system specs:

Gateway Intel Core2-Quad Q8400/4MB L2 Cache, 8GB DDR2, 1 TB HDD, Nvidia GT-430 w/1GB DDR3

Wei En (wei2912) wrote :

@kmb42vt Restarting xserver with Ctrl + Alt + Backspace works too.

description: updated
description: updated
Wei En (wei2912) wrote :

Added my system specs.

Wei En (wei2912) on 2011-11-19
summary: - Panels and windows disappear temporarily when mint menu is clicked.
+ Panels and windows disappear randomly
description: updated
description: updated

Why is this bug marked as incomplete? What information is missing?
I can reliably reproduce it several times a day. It's quite annoying. But I've also found this works better than restarting X:
Press Ctrl+Alt+F1 to go to a console, then run
DISPLAY=":0.0" gnome-shell

Wei En (wei2912) wrote :

This bug is critical. We need a person to have this bug assigned to, else the RC will nvr be stable.

Wei En (wei2912) wrote :

Update: Alt Tab may freeze due to this bug.

description: updated
Changed in linuxmint:
status: Incomplete → Confirmed
Wei En (wei2912) wrote :

@Fibonacci Thanks.

Fibonacci (fibonacci-prower) wrote :

@wei2912: simply running Display=":0.0" will not work. You need to run the following command from a virtual console, exactly as it's written (same capitalisation, and so on):
DISPLAY=":0.0" gnome-shell

Fibonacci (fibonacci-prower) wrote :

Also, gnome-shell will print this to stderr upon crashing:
gnome-shell-calendar-server[17307]: Got HUP on stdin - exiting

Wei En (wei2912) wrote :

@Fibonacci thanks for the clarification, also adding the extra info

description: updated
Wei En (wei2912) on 2011-11-26
summary: - Panels and windows disappear randomly
+ Gnome-shell randomly crashes
Che Dean (dean-che) wrote :

It also effects me. When I add programs to favorites or move them around, shell reloads.

Jonathan Hulka (jon-hulka) wrote :

This has been happening to me. I've been using ctrl-alt-F1 and killing the Xorg process. I'll have to try the DISPLAY=":0.0" gnome-shell trick.

Anton Kuleshov (alterego7) wrote :

It also affect me. I have two computers with Linux Mint Lisa installed. Both affected. Sometimes shell crashed and restored in next moment, sometimes it crashed without restoration. Below is log from such moment (without restoration):

Nov 28 15:18:44 kernel: [ 87.551361] gnome-shell[2386]: segfault at 40 ip 00007f61d2c7fae7 sp 00007fff52aa40a0 error 4 in libgobject-2.0.so.0.3000.0[7f61d2c4c000+4e000]
Nov 28 15:18:44 gnome-session[2291]: WARNING: Application 'gnome-shell.desktop' killed by signal
Nov 28 15:19:35 kernel: [ 138.381242] gnome-shell[2727]: segfault at 1f0 ip 00007f258a7e06a4 sp 00007fffff52d108 error 4 in libclutter-glx-1.0.so.0.800.0[7f258a7a9000+ff000]
Nov 28 15:19:35 gnome-session[2291]: WARNING: Application 'gnome-shell.desktop' killed by signal
Nov 28 15:19:35 gnome-session[2291]: WARNING: App 'gnome-shell.desktop' respawning too quickly
Nov 28 15:19:35 gnome-session[2291]: CRITICAL: We failed, but the fail whale is dead. Sorry....

Systems specs:
1. Core™ i7 920 @ 2.67GHz, 6Gb RAM, Nvidia GeForce GTX 570, Linux Mint 12 Lisa 64-bit, GNOME Shell 3.2.1
2. Core™2 Duo 6400 @ 2.67GHz, 2Gb RAM, Nvidia GeForce GTX 285, Linux Mint 12 Lisa 64-bit, GNOME Shell 3.2.1

Karol Bryd (karolbe) wrote :

I have managed to get the stacktrace when the issue occured, I will try to get another one (perhaps more readable) when it happens again.

https://picasaweb.google.com/lh/photo/N1_ciHyK2C1drJOHDVCCkt9gS1BcBz7VRmRr7NF9wG8?feat=directlink

Wei En (wei2912) on 2011-11-29
description: updated
description: updated
Dominique Callaert (dcallaert) wrote :

Hi I'm also affected with this bugs :

gnome-shell[2727]: segfault at 1f0 ip 00007f258a7e06a4 sp 00007fffff52d108 error 4 in libclutter-glx-1.0.so.0.800.0[7f258a7a9000+ff000]

Systems Specs : Core I7 950, 4 GB RAM, Nvidia GeForce GTX460, Linux Mint 12 Lisa 64-bit

Karol Bryd (karolbe) wrote :

Could it be that only systems with nVidia video cards are affected? I am using nVidia GT460 with proprietary nVidia drivers.

Rutger Putter (rputter) wrote :

I have a ATI Radeon HD 3650 with the open-source driver. I am also affected so it's not an nVidia bug.

Stephen Reed (stephenreed) wrote :

Affects me too. Compaq Evo N610c laptop.

My HP Pavilion g6 (i5) laptop is also affected.

Wei En (wei2912) wrote :

Thanks for all your reports, this bug has gained much information ever since all of you went here and posted.

description: updated
Wei En (wei2912) on 2011-11-30
description: updated
Wei En (wei2912) on 2011-11-30
description: updated

I also have this fault although the segfault is a little different:
gnome-shell segfault at error 4 in libglib-2.0.so.0.3000.0
50% of the time it requires a complete restart of X, the other 50% of the times it's auto restart returns it to a normal working state with open windows + menus

Wei En (wei2912) on 2011-11-30
description: updated

Edit: Eoghann Walker AMD HD 4650 + Catalyst 11.11, Mint 12, Gnome3, X64

Rutger Putter (rputter) wrote :

I tried Catalyst 11.11 today... that was a bust.

But it got me thinking. This error occurs indepentent of CPU or GPU.

So I investigated when the error occured the most and I think I got it. The error happens the most when having Banshee play music in the background.

Could someone check if they have the same behaviour? With Banshee or another music player?

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu:
status: New → Confirmed

Is anyone not using MGSE and still having this issue ?
I'm trying to figure out whether this is a bug in gnome-shell or in MGSE.

Eric M. (emuehrcke) wrote :

I am having this with MGSE. I am using Banshee via a autofs file system, but THINK the error occurred when it was not running. Using either chrome or firefox has the problem. Although sooner with firefox. I can not figure what causes the crash, just happens in the middle of work. Since I may be in a particular window for a while, I may not be catching when exactly it happens. I mainly notice it when changing windows. gnome-shell does not restart most of the time for me. alt-F2+r works some of the time. ctl-alt-backspace the other times.

Down to running: banshee, remmina, firefox or chrome, and usually a terminal window.

kernel: [256974.097830] gnome-shell[5304] general protection ip:7f137b45a6a4 sp:7fffb3203968 error:0 in libclutter-glx-1.0.so.0.800.0[7f137b423000+ff000]

Grandon (muris-ahmovic) wrote :

Just installed Linux Mint 12 on my workstation.

In my case it seems like the gnome-shell recovers/ reloads by itself. (short screen flutter, no windows lost)

[ 238.900544] gnome-shell[1816]: segfault at 178111008 ip 00007fadc20dc0a8 sp 00007fffe53df8e0 error 4 in libglib-2.0.so.0.3000.0[7fadc207c000+f4000]
[ 514.279755] gnome-shell[2116]: segfault at 7f007261764b ip 00007f862cc29644 sp 00007fff16a84638 error 4 in libclutter-glx-1.0.so.0.800.0[7f862cbed000+ff000]
[ 1444.415008] gnome-shell[3006]: segfault at 5a494e0e4 ip 00007f8f17d960a8 sp 00007fff51966d10 error 4 in libglib-2.0.so.0.3000.0[7f8f17d36000+f4000]

and so on. Happens often.

Only difference I can see from "default" Linux Mint 12 installation is that I am using btrfs.
Bunshee is not running.
Firefox, Terminals, Nautilus... nothing special yet.

HW:
Motherboard: GA-770TA-UD3
CPU: AMD Phenom(tm) II X6 1055T Processor
8 GB RAM
GPU: RV730 PRO [Radeon HD 4650]
HDD: SB7x0/SB8x0/SB9x0 SATA Controller [IDE mode] - 2x WDC WD2500AAJS-0 (250GB)

revdjenk (revdjenk) wrote :
Download full text (3.6 KiB)

Add another one to the freezing category!

Running liveusb on LinuxCertified laptop; dual T4300 (2.1 GHz); 2 Gb ram; Intel G45 chipset, 1280 x 800 screen with LinuxMint 12 32bit.
First run-through, like the others, using FF, Banshee in background (accessing music from laptop's hdd); had changed desktop wallpaper to photo on hdd; I had opened and closed several apps, installed wine and e-Sword (a windows-based Bible program) as a test and then began searching with FF when browser lost focus, the mouse would move, but nothing was clickable. Volume control, screen brightness controls also locked. No other key combination worked except CTRL-ALT-Backspace, and then had to hard reboot using the power button. I put it all down to running out of space on my 2Gb usb.

Second run-through, had used FF, and Banshee running again (with same music chosen from same hdd source), closed FF, then opened VLC. Used VLC to view several (three) vids from the laptop hdd, but on trying to open the fourth, the same locked condition as noted above...and same escape using power button.

This could be a timing issue, as it seemed to me to be similar time frame in both instances 10-15 minutes or so.

On the GOOD side, in my use of the system, it seemed faster than 11 (which is my current sole OS on this machine) it was very snappy in accessing files, apps and configuration.
I have a test laptop (Lenovo T60, dual booting XP with openSUSE 12.1 Gnome). I will install Mint12, replacing the openSUSE to test an installed Mint12 system. I had none of the lockups in using openSUSE, using both FF, and then chromium while using Rhythmbox is the media app (already installed). I did similar usage tests, as above, including installing wine, e-Sword. But I did have to spend time with openSUSE getting codecs, installing peripherals which I did not need to do with Mint.

Hope this helps! I will report back on the T60 test.

-- EDIT --
Well, installed Mint 12 on the T60 it took 30 minutes for it to freeze, right as an update finished! Banshee is still playing an audio (i had forgotten that little bit, this was true in the other freezing instances, too). The FF window lost focus as the update finished. The mouse cursor moves (trackpad is not working [worked while live], which is why i did update, thinking it would get it working after the install.) But since Lenovo's have the Trackpoint, I was still able to move around. But clicking does not get a response, in notification area in top panel, bring up the menu or the desktop windows in the bottom panel. Cannot close minimize or move FF window. Banshee continues to play audio files one after another. I can still change volume and brightness with the T60, however.
I am puzzled! and glad I didn't install on my production system!

-- Second EDIT --
The update DID fix the T60 trackpad issue, I have also installed chromium and removed FF as a test.

-- Third EDIT -- and SOLVED?
Ok, I have been over an hour with Mint 12 installed on a T60, with no freezing, have six desktop windows open, Banshee playing, youtube video playing in Chromium, 3 powerpoints open and play one every so often, downloading audacity with synaptic, while downloading an...

Read more...

I think we need to clearly separate the 2 (at least) different issues mentioned above :

   1. The crash : when gnome-shell completely crashes, making window borders disappear and all iteractions with the desktop impossible; in this case, sometimes gnome-shell automatically reloads, sometimes it does not => This is the issue this report was originally about

   2. The freeze : when interactions with the desktop become impossible, but the look of the desktop remains the same; in this case gnome-shell never reloads (and some interactions are sometimes possible, like Alt+F2) => This looks to me more like bug #892316

In order to help identifying where the problem comes from, please try to post your comments on the bug report which seems to be the closest one to your issue.

Thank you all for your very complete reports on this.

Changed in linuxmint:
assignee: nobody → Gwendal LE BIHAN (gwendal-lebihan-dev)
Wei En (wei2912) on 2011-12-03
description: updated
description: updated
description: updated
Wei En (wei2912) wrote :

@Gwendal LE BIHAN In this case, is it possible for you to merge this bug with bug #892316 since this bug report is about that? I reported the 1st issue as another bug (bug #889703).

Thanks for helping with this bug, just sectionized the report (it was getting too messy). This is not due to running out of RAM (while liveUSB/CD uses the RAM of the computer to run) as running out of RAM should end up in the whole system freezing, not gnome-shell freezing.

Anton Kuleshov (alterego7) wrote :

Probably this bug originates from mgse-menu or this menu frequently creates conditions for it. In my environment I experienced this bug mainly via interactions with this menu (placed on bottom panel). Alas, I can't say for sure how to recreate it.
For example, in guake terminal I make desktop file (correct one) in /usr/share/applications/, then I click menu. Crash. I'm trying to recreate situation and make similar file, press menu - nothing abnormal.

Btw, I never used Bunshee and every time this bug happened nothing were played in background in any other media players.

Wei En (wei2912) wrote :

@Anton Kuleshov I think this bug is global.

Here are more details for everyone:

I'm am using the reflection extension and removed the MGSE menu, using the Overview menu instead. I have already disabled the media player plugin, yet this problem remains.

@Wei En : I don't think bug #892316 should be merged with this one : my point precisely was that it is *not* the same bug
On the contrary bug #889703 is for me a duplicate of this one (when panels and windows decoration disappear, that usually means that gnome-shell has crashed)

Anton Kuleshov (alterego7) wrote :

Year ago I had experienced similar bug on Ubuntu. Also occasional shell crashes without clear reason. Those crashes happened more frequently than now. From those times I have changed video card and several times changed distros. But I remember that those crashes were somehow linked to power management in video system. I was able to struggle them by setting PowerMizer settings to Maximum Performance in Nvidia X Server settings. I will try to do the same now. But now it will take more time for me to approve is it linked to power management or not. I see current bug quite seldom. So If you have Nvidia card, please, try running your system for a while with PowerMizer Performance Level changed from deafault "Adaptive" to "Prefer Maximum Performance". Should bug happens again, please, report here about this. Then it will be clear that this bug not linked to power management in video system.

In attachment is a patch for *part* of this bug.
I don't think it will prevent all crashes, but it will prevent some of them, specifically the ones happening when opening the menu (and maybe some others).

Please give feedback and indicate whether you are still experiencing some crashes (and if so, when). The when part is very important as it is what helps most in identifying the origin of the problem.

tags: added: patch
Wei En (wei2912) on 2011-12-05
description: updated
Wei En (wei2912) on 2011-12-09
description: updated
description: updated
Wei En (wei2912) on 2011-12-12
description: updated
description: updated
Andreas Moog (amoog) on 2012-01-01
no longer affects: ubuntu
Changed in ubuntu:
status: New → Confirmed
Wei En (wei2912) on 2012-03-02
description: updated
description: updated
Hugo Zyzz (zyzz) on 2012-03-02
description: updated
description: updated
Hugo Zyzz (zyzz) on 2012-03-06
description: updated
Wei En (wei2912) on 2012-03-16
description: updated
description: updated
description: updated
Wei En (wei2912) on 2012-03-19
description: updated
Changed in linuxmint:
status: Confirmed → Fix Committed
status: Fix Committed → Confirmed
Zaid (zaidi) on 2012-03-23
Changed in linuxmint:
status: Confirmed → Fix Released
Changed in linuxmint:
assignee: Gwendal LE BIHAN (gwendal-lebihan-dev) → nobody
description: updated
Nanovarium (nanovarium) on 2012-04-03
description: updated
Nanovarium (nanovarium) on 2012-04-07
description: updated
Nanovarium (nanovarium) on 2012-04-08
description: updated
Wei En (wei2912) on 2012-04-13
Changed in linuxmint:
status: Fix Released → Confirmed
description: updated
Nanovarium (nanovarium) on 2012-05-01
description: updated
Hugo Zyzz (zyzz) on 2012-05-01
description: updated
Wei En (wei2912) on 2012-05-02
description: updated
Wei En (wei2912) on 2012-05-04
description: updated
Hugo Zyzz (zyzz) on 2012-05-05
description: updated
Hugo Zyzz (zyzz) on 2012-05-07
description: updated
Hugo Zyzz (zyzz) on 2012-05-09
description: updated
Shimi Chen (shimi-chen) on 2012-05-26
affects: ubuntu → gnome-shell (Ubuntu)
Wei En (wei2912) on 2012-05-28
description: updated
259 comments hidden view all 339 comments
Download full text (16.6 KiB)

After update on linux mint 13 problem never occurs....

Ing. Jan Hladík
+420603324153
<email address hidden>
Odesláno z Android

----- Reply message -----
From: "Wei En" <email address hidden>
To: <email address hidden>
Subject: [Bug 889706] Re: Gnome-shell randomly crashes
Date: Fri, Jun 1, 2012 04:52

We do require such help in testing though.

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/889706

Title:
  Gnome-shell randomly crashes

Status in The Linux Mint Distribution:
  Confirmed
Status in “gnome-shell” package in Ubuntu:
  Confirmed
Status in “gnome-shell” package in Fedora:
  New

Bug description:
  ****************************************************************************
  NOTICE:
  If your problem no longer occurs, please report your graphics card/integrated graphics. Thanks.

  NOTICE 2:
  Linux Mint 13 should not have this problem. Anyone can confirm? Report if you no longer have this problem in Linux Mint 13.

  NOTICE 3:
  The problem seems to be with Gnome Shell. Linux Mint, Ubuntu and even Fedora (which is not closely related to Ubuntu) have this problem.

  NOTICE 4:
  Please try to get Linux Mint, Ubuntu and Fedora developers as well as Gnome developers to solve this problem for all Gnome Shell users.
  ****************************************************************************

  ****************************************************************************
  POSSIBLE SOLUTIONS - USE AT YOUR OWN RISK!
  ****************************************************************************

  If you try one of these, please REPORT if this solves the problem for
  you.

  ****************************************************************************
  TEMPORARY SOLUTIONS #1 by wei2912
  ****************************************************************************

  Upgrade your system. Try this "fix" before trying out the others to
  make sure if the problem still persists. If it works, report your
  graphics card.

  sudo apt-get update
  sudo apt-get dist-upgrade

  Simple commands to upgrade all packages. Maybe a fix for a driver of
  your graphics card/integrated graphics has been released, and thus you
  should try this first to determine if it is a driver-related problem.

  ****************************************************************************
  TEMPORARY SOLUTIONS #2 by Nanovarium
  ****************************************************************************

  Updating to Gnome 3.4 fixes the Issue. However, IT IS NOT RECOMMENDED
  TO TRY THIS SOLUTION ON A PRODUCTIVE SYSTEM. IF YOU TRY THIS, MAKE
  BACKUPS. MAKE SURE YOU UNDERSTAND THIS.

  The following commands will install gnome and gnome-shell 3.4 on
  Ubuntu and Mint:

  sudo add-apt-repository ppa:ricotz/testing
  sudo add-apt-repository ppa:gnome3-team/gnome3
  sudo apt-get update && sudo apt-get dist-upgrade
  sudo apt-get install gnome-shell

  No random crashes have occurred since I did this.

  Works for:
  Nanovarium
  Alexander Ast

  ****************************************************************************

  TEMPORARILY SOLUTION #3 by Goulou
  *****************************...

Vladimir Y (justvovus) wrote :

But not everyone want to update to Mint 13. I waited it until clarified that there is no Gnome3+MGSE. I can't work in fresh Gnome3 or Cinnamon or Matte. As for me, I'll upgrade to Mint 13 only when someone will port MGSE there.

I totally agree with @maxim that developers should to backport fixes to previous versions.

Wei En (wei2912) wrote :

Cinnamon is actually simply Gnome 3 + MGSE combined as a port.

Vladimir Y (justvovus) wrote :

@wei2912 can you give some tips how to set up gnome-shell activities in Cinnamon like Mint 12 has?

Vladimir Y (justvovus) wrote :

* please

Wei En (wei2912) wrote :

The menu replaces that i think...

Vladimir Y (justvovus) wrote :

That's a problem ((

Vladimir Y (justvovus) wrote :

I applied modal dialogs fix some time ago and thought that problem is fixed, but today I got freeze again:

Jun 3 10:30:37 justvovus-pc acpid: client 1338[0:0] has disconnected
Jun 3 10:30:37 justvovus-pc acpid: client connected from 1338[0:0]
Jun 3 10:30:37 justvovus-pc acpid: 1 client rule loaded
Jun 3 10:30:37 justvovus-pc kernel: [ 4789.569057] [drm:drm_mode_getfb] *ERROR* invalid framebuffer id

DISPLAY=":0.0" gnome-shell from F1 console leded only to repeating of this four strings in syslog.
I made desktop to response to let me save data only by:
1. ps aux | grep gnome-shell
2. kill -9 %id of /usr/bin/gnome-shell%
3. DISPLAY=":0.0" mate-wm --replace &
(I don't know what is exactly mate-wm, I relied on intuition, because I didn't found simply "mate" file and I needed to save my data in opened windows)
gnome-shell panel disappeared, but open windows became responsible (but slower a little bit) and loss of data escaped.

maxim (off220) wrote :

the exact error from dmesg is:
[ 1271.919412] show_signal_msg: 108 callbacks suppressed
[ 1271.919419] gnome-shell[14022]: segfault at 43c0000 ip 00007f4c577da717 sp 00007fffd724fd18 error 4 in libc-2.15.so[7f4c5768d000+1b3000]
This happens several times a day.

Wei En (wei2912) wrote :

Vladimir Y:
mate-wm is the mate window manager, you are simply replacing the window manager which crashed with mate.

Wei En (wei2912) wrote :

I'm sorry to say this: A freeze occured again, after a year of peace.

description: updated
Wei En (wei2912) wrote :

The gnome project has been added to the list of what is affected by this bug. It is my hope that the gnome developers will be able to fix this.

Nanovarium (nanovarium) wrote :

Okay, this is really getting annoying.

I switched to Fedora 17 recently, (from Linux MInt) and after a while, the bug appeared. I applied the model window fix again, but no change. How the Hell can one release such a non-finished product with a bug that affects over 100 people over half year now!? and these are only the people that go here and post about it.

If I find the time I will join the Gnome-Team and fix it myself... :-(

Description updated.

description: updated
affects: gnome-shell (Fedora) → fedora
Changed in fedora:
status: New → Confirmed
Nanovarium (nanovarium) wrote :

Additional Information Fedora17:

On Fedora, it seems that the Bug occurs more often when using dual-monitor set-up, making it change to "mirror displays" after the (self initiated) restart of gnome shell. This both happens with the open source drivers as well as with prop. catalyst drivers (ATI 12.6 beta.)

Please report if this bug affect other ditros and if yo, add them under description. Thank you.

Justin (justin-wzy) wrote :

To me, the crashes normally occurs when switching to an Empathy chat window

Ubuntu 12.04 32-bit GNOME 3.4.1
Empathy 3.4.2,1-0ubuntu1
Gnome-shell 3.4.1-0ubuntu2

Mao Mao (septim) wrote :

I ended up switching to Cinnamon. GNOME still randomly crashes as I'm working on Chrome, losing data and hours of work...I couldn't take it anymore.

Alexander Ast (dukat863) wrote :

@Mao, what distro and gnome version do you have (i don't think you still use Mint 12)?
The PPA version worked for Ubuntu 12.04 (default had this bug), and Fedora's default works for me.

Cinnamon is just a Gnome fork with some extensions and a new theme, so you may see this bug. If you did not, try the latest Shell, it may work.

Mao Mao (septim) wrote :

@Alexander Ast

You're absolutely right, I just experienced this bug under Cinnamon as well. I'm still under Mint 12 because, for some strange reason, I can't install Mint 13 from a Live CD (it just hangs after the 'Linux Mint 13' loading screen)

Mao Mao (septim) wrote :

Well, looks like there was an update for my Intel graphics card, and so far, so good. Let's hope it sticks.

Alexander Ast (dukat863) wrote :

@Mao, have you tried using Fedora 17? It's using Shell 3.4.2 (gnome-shell --version reports 3.4.1), with latest stable kernel and Mesa (after update, however). If the bug was fixed, then it will be there.

Mao Mao (septim) wrote :

@Alexander Ast

I switched to Mint 13 today. It's odd having a computer that doesn't crash every other hour, guess I was starting to see this bug as a feature...but so far, so good!

Alex (alexoninja) wrote :

I have the same problem.
After install fglrx, but when i remove i still with the problem.
I can select gnome to login, but when start is the gnome-session-fallback and without effects.
Trying the SOLUTION with ppa and dist-upgrade.

Alex (alexoninja) wrote :

WORKING!!!
Removed folder /etc/ati/
Removed everything with "fglrx": sudo apt-get remove --purge fglrx*
And add one line in grub /boot/grub/grub.cfg: gnome.fallback=0
Rebooted and working.

maxim (off220) wrote :

I got rid of the bug. I enabled "proposed updates" repo and upgraded ubuntu. Now it's ok. If anyone needs the list of upgraded packages please ask.

Wei En (wei2912) on 2012-06-29
description: updated
CraigH (cwlinux-att) wrote :

I have a similar/related problem that began occuring after upgrading to ubuntu 12.04, but mine occurs during boot. Approximately 1 out of 5 times, the boot fails with a segfault in libfreetype.so.6.8.0 when gnome-shell starts up. It exibits 2 different symptoms. To recover from either, I ctrl+alt+f2 login and reboot. Have not tried any of the other restart options or fixes yet, but will report results when available. Once system is started correctly, I have never had gnome-shell crash on me. The relevent sections of the dmesg output is shown below.

System configuration: ubuntu 12.04 x64, AMD 955 x64 processor, 8 GB ram, Nvidia card with proprietary drivers, and dual monitor setup

Symptom 1: background displayed, but no title bar or cursor displayed (here is associated dmesg)

[ 21.586996] r8169 0000:02:00.0: eth0: link down
[ 21.587011] r8169 0000:02:00.0: eth0: link down
[ 21.587730] ADDRCONF(NETDEV_UP): eth0: link is not ready
[ 21.588063] ADDRCONF(NETDEV_UP): eth0: link is not ready
[ 21.616534] init: kdm main process (1846) killed by TERM signal
[ 21.619658] init: gdm main process (1875) killed by TERM signal
[ 21.722958] vboxdrv: Found 4 processor cores.
[ 21.723167] vboxdrv: fAsync=0 offMin=0x482 offMax=0x1938
[ 21.723215] vboxdrv: TSC mode is 'synchronous', kernel timer mode is 'normal'.
[ 21.723216] vboxdrv: Successfully loaded version 4.1.16 (interface 0x00190000).
[ 21.929098] vboxpci: IOMMU not found (not registered)
[ 23.827735] r8169 0000:02:00.0: eth0: link up
[ 23.828553] ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[ 29.975832] show_signal_msg: 42 callbacks suppressed
[ 29.975836] gnome-shell[2766]: segfault at ffff3774 ip 00007fd430051c6f sp 00007fff09715860 error 4 in libfreetype.so.6.8.0[7fd42fff7000+96000]
[ 34.064017] eth0: no IPv6 routers present

Symptom 2: background displayed, title bar displayed, network icon showing red, no cursor displayed

[ 21.668011] r8169 0000:02:00.0: eth0: link down
[ 21.668017] r8169 0000:02:00.0: eth0: link down
[ 21.669224] ADDRCONF(NETDEV_UP): eth0: link is not ready
[ 21.669922] ADDRCONF(NETDEV_UP): eth0: link is not ready
[ 21.697989] init: kdm main process (1788) killed by TERM signal
[ 21.699976] init: gdm main process (1818) killed by TERM signal
[ 21.774952] vboxdrv: Found 4 processor cores.
[ 21.775267] vboxdrv: fAsync=0 offMin=0x4ef offMax=0x26b8
[ 21.775315] vboxdrv: TSC mode is 'synchronous', kernel timer mode is 'normal'.
[ 21.775316] vboxdrv: Successfully loaded version 4.1.18 (interface 0x00190000).
[ 21.980970] vboxpci: IOMMU not found (not registered)
[ 23.726876] r8169 0000:02:00.0: eth0: link up
[ 23.727662] ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[ 27.805113] show_signal_msg: 42 callbacks suppressed
[ 27.805117] pool[2676]: segfault at 8 ip 00007f116ee56a23 sp 00007f1132feb990 error 4 in libfreetype.so.6.8.0[7f116ee07000+96000]
[ 33.936004] eth0: no IPv6 routers present

CraigH (cwlinux-att) wrote :

Follow-up to message above.
ctrl-alt-bckspc: restarts gnome shell every time
alt-f2, r: NO, dialog box never pops up
ctrl-alt-f1, kill xorg: NO, xorg is not running, nothing to kill
ctrl-alt-F1, DISPLAY=":0.0" gnome-shell: NO

Alexander Ast (dukat863) wrote :

@CraigH, what's in .xsession-errors?

CraigH (cwlinux-att) wrote :

@Alexander Ast, attached is the xsession-errors that resulted from a condition 2 problem (background, with title bar, red network icon, and no cursor,). ctrl-alt-bckspc corrected problem.

Line # 3 in xsession-errors:
gnome-session[2393]: WARNING: Failed to start app: Unable to start application: Failed to execute child process "/usr/lib/at-spi/at-spi-registryd" (No such file or directory)

for this error: the directory /usr/lib/at-spi does not exist, but the directory /usr/lib/at-spi2-core does exist, and the file /usr/lib/at-spi2-core/at-spi2-registryd does exist.

CraigH (cwlinux-att) wrote :

@Alexander Ast, attached is a file xsession-errors3 that resulted from a condition 1 problem as mentioned above. (wallpaper, no title bar, no cursor). ctrl-alt-bckspc corrected this problem.

Garmine (garmine42) wrote :

Almost forgot to post... so:

I'm using linux mint 13 with cinnamon, and I get a similar error like you guys, mostly it's "just" a trap int 3, but a bit rarely it's a segfault.

Cinnamon likes "flickering" without any trace in the dmesg or elsewhere, this mostly happens when I open new windows (e.g. Skype), when there's a trace:
60% of the time I get a trap int 3 and Cinnamon restarts itself (Every cinnamon related interface disappears, all windows are visible on top of each other, then only the background is visible, and then everything's back to normal, just like when you [alt+f2] [r] [enter] (what is it called? :)).)
25% of the time I get a trap int 3 and I have to manually restart it from tty
15% of the time I get a segfault and I have to manually restart it from tty

When I restart it from tty I use these commands after laggi^Wlogging in:
export DISPLAY=:0.0; cinnamon --replace

The newest related lines from dmesg:

Just "flickering":
[ 2822.840995] cinnamon[1711] trap int3 ip:7f29cf23afdb sp:7fffa7ff82c0 error:0

Had to restart this one from tty (I don't know if the restart caused these lines, or the crash, and these lines are always identical):
[ 6551.753348] Assertion failed in ../../../../../../../../drivers/2d/lnx/fgl/drm/kernel/hal_r6xx.c at line: 79
[ 6551.760547] Assertion failed in ../../../../../../../../drivers/2d/lnx/fgl/drm/kernel/hal_r6xx.c at line: 79
[ 6551.767633] Assertion failed in ../../../../../../../../drivers/2d/lnx/fgl/drm/kernel/hal_r6xx.c at line: 79
[ 6551.774692] Assertion failed in ../../../../../../../../drivers/2d/lnx/fgl/drm/kernel/hal_r6xx.c at line: 79
[ 6551.781278] Assertion failed in ../../../../../../../../drivers/2d/lnx/fgl/drm/kernel/hal_r6xx.c at line: 79
[ 6551.788288] Assertion failed in ../../../../../../../../drivers/2d/lnx/fgl/drm/kernel/hal_r6xx.c at line: 79
[ 6551.795600] Assertion failed in ../../../../../../../../drivers/2d/lnx/fgl/drm/kernel/hal_r6xx.c at line: 79
[ 6551.803065] Assertion failed in ../../../../../../../../drivers/2d/lnx/fgl/drm/kernel/hal_r6xx.c at line: 79

I have a Gigabyte (ATI) HD4850 graphics card.

I don't know if it's a related problem, but sometimes I get something that looks like a dead lock in the kernel during shutdown. Something like "unable to handle kernel paging request at [address]", some stack traces, and also watchdog errors, and a lock on CPU0. If I shutdown using "sudo shutdown -h now" it happens only 10% of the time, but when I use the GUI button it happens almost every time...

Garmine (garmine42) wrote :

P.s.: I've tried the temporary solution #1 some days ago, it didn't work.

Wei En (wei2912) wrote :

I wonder why i didn't request this, but i want people to try and install nvidia drivers first. If you can't stand non-open source software, just install it and dispose it, for the sake of open source software (cinnamon/gnome-shell!). Thank you.

description: updated
Wei En (wei2912) wrote :

Infx in #linuxmint-help reported success of fixing by removing "nvidia-current" and reverting to the default open source driver.

description: updated
Wei En (wei2912) wrote :

Okay, sidx64 reported success with Bumblebee.

description: updated

I have intel chipset, so just open source drivers, and still have random crashes of gnome-shell. I am trying to run the shell in a virtual console terminal (gnome-shell --replace -d 0.0 &) to see if I can catch some error, with no luck till now.

Sorry, meant gnome-shell --replace -d :0.0 & (the semicolon drove me crazy, it was so many year wi though using DISPLAY...)

I got this just before the crash:

(gnome-tweak-tool:26405): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion `width >= 0' failed

(gnome-shell:13374): GLib-GIO-WARNING **: Dropping signal ActiveSessionChanged of type (s) since the type from the expected interface is (o)

(gnome-shell:13374): GLib-GIO-WARNING **: Dropping signal ActiveSessionChanged of type (s) since the type from the expected interface is (o)
Window manager warning: Got a request to focus 0x18280bc (% Download) with a timestamp of 0. This shouldn't happen!

I do not know it it can help...

Nanovarium (nanovarium) wrote :

For me, the Bug is closed in Fedora 17 x64

3.5.4-2.fc17.x86_64
module loaded - fglrx 9.0.2 [Aug 15 2012]
Mobility Radeon HD 5650

This is how I did it:
http://forums.fedoraforum.org/showpost.php?p=1607191&postcount=4757

kthxbye :-)

description: updated
Wei En (wei2912) wrote :

More reports from https://bugs.launchpad.net/linuxmint/+bug/1077022: https://launchpadlibrarian.net/122464107/bug.txt This bug hadsn't been fixed yet, many users still have this bug.

description: updated
summary: - Gnome-shell randomly crashes
+ Gnome-shell/Cinnamon randomly crashes
Wei En (wei2912) on 2012-11-10
description: updated
Wei En (wei2912) on 2012-11-10
description: updated
Wei En (wei2912) on 2012-11-10
description: updated

For those who are experiencing this issue with cinnamon, please follow-up on https://bugs.launchpad.net/linuxmint/+bug/1077022

summary: - Gnome-shell/Cinnamon randomly crashes
+ Cinnamon randomly crashes
Changed in linuxmint:
status: Confirmed → Invalid
Wei En (wei2912) on 2012-11-10
description: updated
summary: - Cinnamon randomly crashes
+ gnome-shell randomly crashes
description: updated
Displaying first 40 and last 40 comments. View all 339 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers